aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCédric Ollivier <cedric.ollivier@orange.com>2019-03-28 20:10:49 +0100
committerCédric Ollivier <cedric.ollivier@orange.com>2019-03-28 20:10:49 +0100
commit0a897d6edd561976552196572ee843f9fdae4f31 (patch)
treeebde287b4f0333f9e79b2a39262048dbc6eff14f
parent1cdfea73e35500fb0f949a548344363a6f709a66 (diff)
Prepare Functest Iruya Containers
It takes into account the new branch stable/iruya. Change-Id: I802a42b07ceae2328a812a99a99057beb1b94e5b Signed-off-by: Cédric Ollivier <cedric.ollivier@orange.com>
-rw-r--r--.travis.yml24
-rw-r--r--ansible/site.yml3
-rw-r--r--build.sh24
-rw-r--r--docker/benchmarking/Dockerfile6
-rw-r--r--docker/core/Dockerfile4
-rw-r--r--docker/features/Dockerfile6
-rw-r--r--docker/healthcheck/Dockerfile6
-rw-r--r--docker/smoke/Dockerfile6
-rw-r--r--docker/tempest/Dockerfile6
-rw-r--r--docker/vnf/Dockerfile6
-rw-r--r--tox.ini2
-rw-r--r--upper-constraints.txt2
12 files changed, 49 insertions, 46 deletions
diff --git a/.travis.yml b/.travis.yml
index 915f7a7a0..b12828ffb 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -25,8 +25,8 @@ jobs:
script: >
sudo manifest-tool push from-args \
--platforms linux/amd64 \
- --template ${DOCKER_USERNAME}/functest-core:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-core:latest
+ --template ${DOCKER_USERNAME}/functest-core:ARCH-iruya \
+ --target ${DOCKER_USERNAME}/functest-core:iruya
- stage: build functest-tempest images
script: sudo -E bash build.sh
env:
@@ -37,8 +37,8 @@ jobs:
script: >
sudo manifest-tool push from-args \
--platforms linux/amd64 \
- --template ${DOCKER_USERNAME}/functest-tempest:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-tempest:latest
+ --template ${DOCKER_USERNAME}/functest-tempest:ARCH-iruya \
+ --target ${DOCKER_USERNAME}/functest-tempest:iruya
- stage: build all functest images
script: sudo -E bash build.sh
env:
@@ -69,20 +69,20 @@ jobs:
script: >
sudo manifest-tool push from-args \
--platforms linux/amd64 \
- --template ${DOCKER_USERNAME}/functest-healthcheck:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-healthcheck:latest
+ --template ${DOCKER_USERNAME}/functest-healthcheck:ARCH-iruya \
+ --target ${DOCKER_USERNAME}/functest-healthcheck:iruya
- script: >
sudo manifest-tool push from-args \
--platforms linux/amd64 \
- --template ${DOCKER_USERNAME}/functest-smoke:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-smoke:latest
+ --template ${DOCKER_USERNAME}/functest-smoke:ARCH-iruya \
+ --target ${DOCKER_USERNAME}/functest-smoke:iruya
- script: >
sudo manifest-tool push from-args \
--platforms linux/amd64 \
- --template ${DOCKER_USERNAME}/functest-features:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-features:latest
+ --template ${DOCKER_USERNAME}/functest-features:ARCH-iruya \
+ --target ${DOCKER_USERNAME}/functest-features:iruya
- script: >
sudo manifest-tool push from-args \
--platforms linux/amd64 \
- --template ${DOCKER_USERNAME}/functest-vnf:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-vnf:latest
+ --template ${DOCKER_USERNAME}/functest-vnf:ARCH-iruya \
+ --target ${DOCKER_USERNAME}/functest-vnf:iruya
diff --git a/ansible/site.yml b/ansible/site.yml
index 62def92a4..98c2b7b67 100644
--- a/ansible/site.yml
+++ b/ansible/site.yml
@@ -5,6 +5,9 @@
- role: collivier.xtesting
project: functest
gerrit_project: functest
+ docker_tags:
+ - iruya:
+ branch: stable/iruya
builds:
dependencies:
- repo: _
diff --git a/build.sh b/build.sh
index 8fe06d9df..eecd734e6 100644
--- a/build.sh
+++ b/build.sh
@@ -15,36 +15,36 @@ arm64_dirs=${arm64_dirs-${amd64_dirs}}
build_opts=(--pull=true --no-cache --force-rm=true)
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-core|${repo}/functest-core:amd64-latest|g" {} +
+ -e "s|opnfv/functest-core:iruya|${repo}/functest-core:amd64-iruya|g" {} +
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-tempest|${repo}/functest-tempest:amd64-latest|g" {} +
+ -e "s|opnfv/functest-tempest:iruya|${repo}/functest-tempest:amd64-iruya|g" {} +
for dir in ${amd64_dirs}; do
(cd "${dir}" &&
docker build "${build_opts[@]}" \
- -t "${repo}/functest-${dir##**/}:amd64-latest" .)
- docker push "${repo}/functest-${dir##**/}:amd64-latest"
+ -t "${repo}/functest-${dir##**/}:amd64-iruya" .)
+ docker push "${repo}/functest-${dir##**/}:amd64-iruya"
[ "${dir}" != "docker/core" ] &&
- (docker rmi "${repo}/functest-${dir##**/}:amd64-latest" || true)
+ (docker rmi "${repo}/functest-${dir##**/}:amd64-iruya" || true)
done
[ ! -z "${amd64_dirs}" ] &&
- (docker rmi "${repo}/functest-core:amd64-latest" alpine:3.9 || true)
+ (docker rmi "${repo}/functest-core:amd64-iruya" alpine:3.9 || true)
find . -name Dockerfile -exec git checkout {} +
find . -name Dockerfile -exec sed -i \
-e "s|alpine:3.9|multiarch/alpine:arm64-v3.9|g" {} +
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-core|${repo}/functest-core:arm64-latest|g" {} +
+ -e "s|opnfv/functest-core:iruya|${repo}/functest-core:arm64-iruya|g" {} +
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-tempest|${repo}/functest-tempest:arm64-latest|g" {} +
+ -e "s|opnfv/functest-tempest:iruya|${repo}/functest-tempest:arm64-iruya|g" {} +
for dir in ${arm64_dirs}; do
(cd "${dir}" && docker build "${build_opts[@]}" \
- -t "${repo}/functest-${dir##**/}:arm64-latest" .)
- docker push "${repo}/functest-${dir##**/}:arm64-latest"
+ -t "${repo}/functest-${dir##**/}:arm64-iruya" .)
+ docker push "${repo}/functest-${dir##**/}:arm64-iruya"
[ "${dir}" != "docker/core" ] &&
- (docker rmi "${repo}/functest-${dir##**/}:arm64-latest" || true)
+ (docker rmi "${repo}/functest-${dir##**/}:arm64-iruya" || true)
done
[ ! -z "${arm64_dirs}" ] &&
- (docker rmi "${repo}/functest-core:arm64-latest" \
+ (docker rmi "${repo}/functest-core:arm64-iruya" \
multiarch/alpine:arm64-v3.9 || true)
find . -name Dockerfile -exec git checkout {} +
diff --git a/docker/benchmarking/Dockerfile b/docker/benchmarking/Dockerfile
index cf13da815..f86e6725c 100644
--- a/docker/benchmarking/Dockerfile
+++ b/docker/benchmarking/Dockerfile
@@ -1,7 +1,7 @@
-FROM opnfv/functest-tempest
+FROM opnfv/functest-tempest:iruya
-ARG BRANCH=master
-ARG OPENSTACK_TAG=master
+ARG BRANCH=stable/iruya
+ARG OPENSTACK_TAG=stable/stein
ARG VMTP_TAG=99b261ccccc2f8a08ee2d8fca9f54ef9d69899d7
RUN apk --no-cache add --update libxml2 libxslt && \
diff --git a/docker/core/Dockerfile b/docker/core/Dockerfile
index 127907c35..b86759fa5 100644
--- a/docker/core/Dockerfile
+++ b/docker/core/Dockerfile
@@ -1,7 +1,7 @@
FROM alpine:3.9
-ARG BRANCH=master
-ARG OPENSTACK_TAG=master
+ARG BRANCH=stable/iruya
+ARG OPENSTACK_TAG=stable/stein
ARG PIP_TAG=18.0
RUN apk --no-cache add --update \
diff --git a/docker/features/Dockerfile b/docker/features/Dockerfile
index 10cc733dd..5b03961b5 100644
--- a/docker/features/Dockerfile
+++ b/docker/features/Dockerfile
@@ -1,7 +1,7 @@
-FROM opnfv/functest-tempest
+FROM opnfv/functest-tempest:iruya
-ARG BRANCH=master
-ARG OPENSTACK_TAG=master
+ARG BRANCH=stable/iruya
+ARG OPENSTACK_TAG=stable/stein
COPY thirdparty-requirements.txt thirdparty-requirements.txt
RUN apk --no-cache add --update python3 sshpass && \
diff --git a/docker/healthcheck/Dockerfile b/docker/healthcheck/Dockerfile
index 3a854bfb1..4268fc811 100644
--- a/docker/healthcheck/Dockerfile
+++ b/docker/healthcheck/Dockerfile
@@ -1,7 +1,7 @@
-FROM opnfv/functest-tempest
+FROM opnfv/functest-tempest:iruya
-ARG BRANCH=master
-ARG OPENSTACK_TAG=master
+ARG BRANCH=stable/iruya
+ARG OPENSTACK_TAG=stable/stein
ARG ODL_TAG=85448c9d97b89989488e675b29b38ac42d8674e4
COPY thirdparty-requirements.txt thirdparty-requirements.txt
diff --git a/docker/smoke/Dockerfile b/docker/smoke/Dockerfile
index 6162397a9..c9ecbd9cf 100644
--- a/docker/smoke/Dockerfile
+++ b/docker/smoke/Dockerfile
@@ -1,7 +1,7 @@
-FROM opnfv/functest-tempest
+FROM opnfv/functest-tempest:iruya
-ARG BRANCH=master
-ARG OPENSTACK_TAG=master
+ARG BRANCH=stable/iruya
+ARG OPENSTACK_TAG=stable/stein
ARG REFSTACK_TARGET=2018.11
ARG PATROLE_TAG=master
ARG BARBICAN_TAG=master
diff --git a/docker/tempest/Dockerfile b/docker/tempest/Dockerfile
index a58730bed..2716b2db3 100644
--- a/docker/tempest/Dockerfile
+++ b/docker/tempest/Dockerfile
@@ -1,7 +1,7 @@
-FROM opnfv/functest-core
+FROM opnfv/functest-core:iruya
-ARG BRANCH=master
-ARG OPENSTACK_TAG=master
+ARG BRANCH=stable/iruya
+ARG OPENSTACK_TAG=stable/stein
ARG RALLY_TAG=master
ARG RALLY_OPENSTACK_TAG=master
ARG OS_FAULTS_TAG=0.1.18
diff --git a/docker/vnf/Dockerfile b/docker/vnf/Dockerfile
index 08aa76496..a76ce1554 100644
--- a/docker/vnf/Dockerfile
+++ b/docker/vnf/Dockerfile
@@ -1,7 +1,7 @@
-FROM opnfv/functest-core
+FROM opnfv/functest-core:iruya
-ARG BRANCH=master
-ARG OPENSTACK_TAG=master
+ARG BRANCH=stable/iruya
+ARG OPENSTACK_TAG=stable/stein
ARG VIMS_TEST_TAG=release-130
ARG QUAFF_TAG=59213d6d8ee29433552bb75f505cdc96b0b18909
ARG CLOUDIFY_VIMS_TAG=gambia
diff --git a/tox.ini b/tox.ini
index 6ebd4dfd8..45f04e1b6 100644
--- a/tox.ini
+++ b/tox.ini
@@ -5,7 +5,7 @@ envlist = docs,pep8,pylint,yamllint,ansiblelint,bashate,py27,perm,cover
usedevelop = True
deps =
-c{toxinidir}/upper-constraints.txt
- -c{env:UPPER_CONSTRAINTS_FILE:https://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt?h=master}
+ -c{env:UPPER_CONSTRAINTS_FILE:https://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt?h=stable/stein}
-r{toxinidir}/requirements.txt
-r{toxinidir}/test-requirements.txt
install_command = pip install {opts} {packages}
diff --git a/upper-constraints.txt b/upper-constraints.txt
index 27aa7b6fc..fd46255e3 100644
--- a/upper-constraints.txt
+++ b/upper-constraints.txt
@@ -1,4 +1,4 @@
-git+https://gerrit.opnfv.org/gerrit/functest#egg=functest
+git+https://gerrit.opnfv.org/gerrit/functest@stable/iruya#egg=functest
git+https://gerrit.opnfv.org/gerrit/releng#egg=opnfv&subdirectory=modules
git+https://gerrit.opnfv.org/gerrit/snaps@0dacfaa2fbd2dfe7fc9d438b9350a0187506e61c#egg=snaps
git+https://gerrit.opnfv.org/gerrit/barometer#egg=baro_tests